Read the organization's billing account, subscription, and available catalog
curl --request GET \
--url https://api.firedrill.run/v1/organization/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/organization/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/organization/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"organizationId": "<string>",
"billingAccountId": "<string>",
"state": "unconfigured",
"entitlement": {
"schemaVersion": 1,
"entitlementId": "<string>",
"organizationId": "<string>",
"plan": "<string>",
"limits": {
"maxConcurrentSessions": 50000,
"maxConcurrentRuns": 50000,
"maxSessionTtlMs": 302400000,
"maxDrillTimeoutMs": 43200500,
"maxEvidenceRetentionMs": 15768000000,
"usage": {
"sessionMs": "<string>",
"warmLeaseMs": "<string>",
"storageByteMs": "<string>",
"transferBytes": "<string>",
"drillMs": "<string>"
}
},
"effectiveAtMs": 0,
"expiresAtMs": 0
},
"catalog": [
{
"planId": "<string>",
"displayName": "<string>",
"summary": "<string>",
"limits": {
"maxConcurrentSessions": 50000,
"maxConcurrentRuns": 50000,
"maxSessionTtlMs": 302400000,
"maxDrillTimeoutMs": 43200500,
"maxEvidenceRetentionMs": 15768000000,
"usage": {
"sessionMs": "<string>",
"warmLeaseMs": "<string>",
"storageByteMs": "<string>",
"transferBytes": "<string>",
"drillMs": "<string>"
}
},
"prices": [
{
"interval": "monthly",
"currency": "<string>",
"unitAmount": 0
}
],
"contactUrl": "<string>"
}
],
"management": {
"checkoutAvailable": true,
"portalAvailable": true
},
"generatedAtMs": 0,
"subscription": {
"schemaVersion": 1,
"billingSubscriptionId": "<string>",
"billingAccountId": "<string>",
"organizationId": "<string>",
"planId": "<string>",
"interval": "monthly",
"state": "trialing",
"currentPeriodStartAtMs": 0,
"currentPeriodEndAtMs": 0,
"cancelAtPeriodEnd": true,
"observedAtMs": 0,
"graceEndsAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read the organization's billing account, subscription, and available catalog
Read the organization's billing account, subscription, and available catalog
Authorizations
Opaque control credential
Response
Organization billing overview
Available options:
1 Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^billacct_[0-9a-z]{12,32}$Available options:
unconfigured, active, attention, canceled Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes